// =============================================================================
// Parent   : BBoyShare.B_Effects
// Package  : BBoyShare
// Class    : B_FlameEffect
//
// Author   : Boom-Boy
// Homepage : http://mth.or.tp/
//
// Version  : 1.0
// =============================================================================

class B_FlameEffect extends B_Effects;

function Tick(float DT) {
	
	ScaleGlow -= (DT * 1 / Default.LifeSpan);
	DrawScale -= (DT * 1 / Default.LifeSpan);
	if (ScaleGlow <= 0)
		Destroy();
}

defaultproperties
{
     Physics=PHYS_Projectile
     LifeSpan=0.600000
     DrawType=DT_Sprite
     Style=STY_Translucent
     Texture=Texture'BBoyShare.Effect.flame_orange'
     bUnlit=True
}
