// =============================================================================
// Parent   : BBoyShare.B_MonsterSpawner
// Package  : BBoyShare
// Class    : B_MonsterLoopSpawner
//
// Author   : Boom-Boy
// Homepage : http://mth.or.tp/
//
// Version  : 1.0
// =============================================================================

class B_MonsterLoopSpawner extends B_MonsterSpawner;

var(MonsterLoopSpawner) float LoopTime;
var(MonsterLoopSpawner) int SpawnNum;

simulated function PostBeginPlay() {
	
	super.PostBeginPlay();
	
	if (SpawnNum <= 0) {
		bFinishedEvent = false;
		GotoState('Finished');
	}
}

State Spawning
{
	
	function Timer() {
		
		if (SpawnNum > 0) {
			if (TrySpawn())
				SpawnNum--;
		}
		
		if (SpawnNum == 0 && NumMonster == 0) {
			GotoState('Finished');
		} else {
			if (LoopTime > 0.0)
				SetTimer(LoopTime, false);
			else
				SetTimer(1.0 + FRand() + FRand(), false);
		}
	}
}

defaultproperties
{
     LoopTime=5.000000
     SpawnNum=10
}
