// =============================================================================
// Parent   : UnrealShare.ArrowSpawner
// Package  : BBoyShare
// Class    : B_ProjSpawner
//
// Author   : Boom-Boy
// Homepage : http://mth.or.tp/
//
// Version  : 1.0
// =============================================================================

class B_ProjSpawner extends ArrowSpawner;

var() Class<Projectile> ProjType;

state Active
{
	function Trigger(Actor Other, pawn EventInstigator);
	
	function UnTrigger(Actor Other, pawn EventInstigator) {
		
		ArrowCount = ArrowsToShootAfterDeactivated;
		if (ArrowCount<1)
			ArrowCount = 1;
	}


	function Timer() {
		
		local Projectile p;
		
		if (ArrowCount > 0) {
			if (ArrowCount==1) {
				SetTimer(0.0, False);
				GoToState('');
			}
			p = Spawn(ProjType, , '', Location+Vector(Rotation) * 20);			
			p.Speed = ArrowSpeed;
			ArrowCount--;
		} else {
			p = Spawn(ProjType, , , Location + Vector(Rotation) * 20);
			p.Speed = ArrowSpeed;
			SetTimer(RepeatDelay, True);
		}
	}
Begin:
	ArrowCount = 0;
	SetTimer(TriggerDelay, True);
}

defaultproperties
{
     ProjType=Class'UnrealShare.Arrow'
}
