// =============================================================================
// Parent   : BBoyShare.B_Effects
// Package  : BBoyShare
// Class    : B_WaterfallEffect
//
// Author   : Boom-Boy
// Homepage : http://mth.or.tp/
//
// Version  : 1.0
// =============================================================================

class B_WaterfallEffect extends B_Effects;

function Tick(float DT) {
	
	ScaleGlow -= (DT * 1 / Default.LifeSpan);
	if (ScaleGlow <= 0)
		Destroy();
}

defaultproperties
{
     Physics=PHYS_Projectile
     LifeSpan=10.000000
     DrawType=DT_Sprite
     Style=STY_Translucent
     Texture=Texture'BBoyShare.Effect.Waterfall'
     DrawScale=0.750000
}
